Skip to main content
`Ctrl`+`K`

# BVMatMultType

Different ways of performing the `BVMatMult()` operation.

## Synopsis

    typedef enum { BV_MATMULT_VECS,
                   BV_MATMULT_MAT,
                   BV_MATMULT_MAT_SAVE } BVMatMultType;

## Values

Allowed values are

- `BV_MATMULT_VECS` - perform a matrix-vector multiply per each column

- `BV_MATMULT_MAT` - carry out a Mat-Mat product with a dense matrix

- `BV_MATMULT_MAT_SAVE` - this case is deprecated

## Note

The default is `BV_MATMULT_MAT` except in the case of `BVVECS`.

## See Also

BV: Basis Vectors, `BVSetMatMultMethod()`, `BVMatMult()`

## Level

advanced

## Location

include/slepcbv.h

Index of all BV routines Table of Contents for all manual pages Index of all manual pages